#!/usr/bin/env node
var fs = require('fs');
var gen = require('./gen');
var _ = require('lodash');
if (process.argv.length < 3) {
  console.log('正确示例：bingo-gen-schema-src ./gen.config.json ./schemas/src');
  return;
}
var configFile = process.argv[2];
var srcFolder = process.argv[3];
var inspect = _.includes(process.argv, '--inspect');
if (!fs.existsSync(configFile)) {
  console.log(`组件配置文件${configFile}不存在，请检查路径`);
  return;
}
let components = fs.readFileSync(configFile);
components = JSON.parse(components);
gen.run(components, srcFolder, inspect);
