const fs = require('fs');
function _copy(src, dist) {
  var paths = fs.readdirSync(src);
  paths.forEach(function (path) {
    var _src = src + '/' + path;
    var _dist = dist + '/' + path;
    var stat = fs.statSync(_src);
    if (stat.isFile()) {
      fs.writeFileSync(_dist, fs.readFileSync(_src));
    } else if (stat.isDirectory()) {
      _copy(_src, _dist);
    }
  });
}
function run(sharedFolder) {
  //如果schema的源码目录elements目录不存在，先创建出来
  if (!fs.existsSync(sharedFolder)) {
    fs.mkdirSync(sharedFolder, { recursive: true });
  }
  _copy(__dirname + '/shared', sharedFolder);
}
module.exports = {
  run
};
